/*
 * Author:   DONGSK
 * Datetime: 2024/4/25 16:43
 * Description:
 * History:
 * 作者姓名 --修改时间 --版本号--描述
 */
package com.digiwin.athena.app.infra.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

import java.io.Serializable;

/**
 * DigiwinSummit
 *
 * @author DONGSK 2024/4/25 16:43
 * @since 1.0.0
 */
@Data
@TableName(value = "layout_config", autoResultMap = true)
public class LayoutConfig extends Model<LayoutConfig> implements Serializable {
    @TableField(value = "sys_id")
    String sysId;
    @TableField(value = "user_id")
    String userId;
    @TableField(value = "tenant_id")
    String tenantId;
    @TableField(value = "top_px")
    String top;
    @TableField(value = "left_px")
    String left;
    @TableField(value = "height_px")
    String height;
    @TableField(value = "width_px")
    String width;
    @TableField(value = "width_percent")
    String widthPercent;
    @TableField(value = "height_percent")
    String heightPercent;
    @TableField(value = "top_percent")
    String topPercent;
    @TableField(value = "left_percent")
    String leftPercent;
}
